org.bdgenomics.adam.cli

# View

###
Related Docs: object View | package cli

#### class View extends BDGSparkCommand[ViewArgs]

The `adam view` command implements some of the functionality of `samtools view`, specifically the -f, -F, -c, and -o options, in an optionally distributed fashion.

It is agnostic to its input and output being SAM, BAM, or ADAM files; when printing to stdout it prints SAM.

Linear Supertypes
BDGSparkCommand[ViewArgs], Logging, BDGCommand, Runnable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. View
2. BDGSparkCommand
3. Logging
4. BDGCommand
5. Runnable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new View(args: ViewArgs)

### Type Members

1. #### type ReadFilter = (Alignment) ⇒ Boolean

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def applyFilters(reads: RDD[Alignment]): RDD[Alignment]

5. #### val args: ViewArgs

   Definition Classes
     View → BDGSparkCommand

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val companion: View.type

   Definition Classes
     View → BDGCommand

9. #### def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

   Attributes
     protected
   Definition Classes
     Logging

10. #### def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

11. #### def debug(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

15. #### def error(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

16. #### def error(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def getFilters(n: Int, matchValue: Boolean = true): List[ReadFilter]

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def info(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def info(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def initializeMetrics(sc: SparkContext): Option[MetricsListener]

    Definition Classes
      BDGSparkCommand

25. #### def isDebugEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

26. #### def isErrorEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

27. #### def isInfoEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### def isTraceEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

30. #### def isWarnEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

31. #### def logger: Logger

    Attributes
      protected
    Definition Classes
      Logging

32. #### def loggerName: String

    Attributes
      protected
    Definition Classes
      Logging

33. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### def printMetrics(totalTime: Long, metricsListener: Option[MetricsListener]): Unit

    Definition Classes
      BDGSparkCommand

37. #### def run(sc: SparkContext): Unit

    Definition Classes
      View → BDGSparkCommand

38. #### def run(): Unit

    Definition Classes
      BDGSparkCommand → Runnable

39. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

40. #### def toString(): String

    Definition Classes
      AnyRef → Any

41. #### def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

42. #### def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

43. #### def trace(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

44. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

48. #### def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

49. #### def warn(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

### Inherited from BDGSparkCommand[ViewArgs]

### Inherited from Logging

### Inherited from BDGCommand

### Inherited from Runnable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped